'Author: Brian Wuchner
'Date: 11/22/2009
'Homegrown Dictionary/Rainbow Table Password Discovery
'Password Audit Script

'Declare objects required for script
Set dict = CreateObject("Scripting.Dictionary")
Set fso = CreateObject("Scripting.FileSystemObject")
Set resultsFile = fso.CreateTextFile("results.txt",True)

'Paste your control password information here:


counter = 0
startTime = Now

Set passlist = fso.OpenTextFile("pwd-dump.txt")
While Not passlist.AtEndOfStream
	line = passlist.ReadLine
	arrTemp = Split(line,":")
	If Left(arrTemp(0),9) = "passctrl-" Then
		'this is a password control user ID.  We do not need to process this.
	Else
		If dict.Exists(arrTemp(3)) Then
			counter = counter + 1
			resultsFile.WriteLine "The password for " & arrTemp(0) & " is known." & " (" & dict.Item(arrTemp(3)) & ")"
		End If
	End If
Wend

WScript.Echo counter & " accounts processed in " & DateDiff("s",startTime,Now) & " seconds."
